JMSJournalStorageManagerImpl (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.persistence.impl.journal

## Class JMSJournalStorageManagerImpl

- java.lang.Object
- - org.apache.activemq.artemis.jms.persistence.impl.journal.JMSJournalStorageManagerImpl

- All Implemented Interfaces:
    org.apache.activemq.artemis.core.server.ActiveMQComponent, JMSStorageManager

      public final class JMSJournalStorageManagerImpl
      extends Object
      implements JMSStorageManager

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `BINDING_RECORD`
    `static byte` | `CF_RECORD`
    `static byte` | `DESTINATION_RECORD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSJournalStorageManagerImpl(org.apache.activemq.artemis.utils.IDGenerator idGenerator, org.apache.activemq.artemis.core.config.Configuration config, org.apache.activemq.artemis.core.replication.ReplicationManager replicator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBindings(PersistedType type, String name, String... address)`
    `void` | `deleteBindings(PersistedType type, String name)`
    `void` | `deleteBindings(PersistedType type, String name, String address)`
    `void` | `deleteConnectionFactory(String cfName)`
    `void` | `deleteDestination(PersistedType type, String name)`
    `boolean` | `isStarted()`
    `void` | `load()`
    `List<PersistedConnectionFactory>` | `recoverConnectionFactories()`
    `List<PersistedDestination>` | `recoverDestinations()`
    `List<PersistedBindings>` | `recoverPersistedBindings()`
    `void` | `start()`
    `void` | `stop()`
    `void` | `storeConnectionFactory(PersistedConnectionFactory connectionFactory)`
    `void` | `storeDestination(PersistedDestination destination)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CF_RECORD

          public static final byte CF_RECORD

      See Also:
        Constant Field Values

    - #### DESTINATION_RECORD

          public static final byte DESTINATION_RECORD

      See Also:
        Constant Field Values

    - #### BINDING_RECORD

          public static final byte BINDING_RECORD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JMSJournalStorageManagerImpl

          public JMSJournalStorageManagerImpl(org.apache.activemq.artemis.utils.IDGenerator idGenerator,
                                              org.apache.activemq.artemis.core.config.Configuration config,
                                              org.apache.activemq.artemis.core.replication.ReplicationManager replicator)

  - ### Method Detail

    - #### recoverConnectionFactories

          public List<PersistedConnectionFactory> recoverConnectionFactories()

      Specified by:
        `recoverConnectionFactories` in interface `JMSStorageManager`

    - #### storeConnectionFactory

          public void storeConnectionFactory(PersistedConnectionFactory connectionFactory)
                                      throws Exception

      Specified by:
        `storeConnectionFactory` in interface `JMSStorageManager`
      Throws:
        `Exception`

    - #### deleteConnectionFactory

          public void deleteConnectionFactory(String cfName)
                                       throws Exception

      Specified by:
        `deleteConnectionFactory` in interface `JMSStorageManager`
      Throws:
        `Exception`

    - #### recoverDestinations

          public List<PersistedDestination> recoverDestinations()

      Specified by:
        `recoverDestinations` in interface `JMSStorageManager`

    - #### storeDestination

          public void storeDestination(PersistedDestination destination)
                                throws Exception

      Specified by:
        `storeDestination` in interface `JMSStorageManager`
      Throws:
        `Exception`

    - #### recoverPersistedBindings

          public List<PersistedBindings> recoverPersistedBindings()
                                                           throws Exception

      Specified by:
        `recoverPersistedBindings` in interface `JMSStorageManager`
      Throws:
        `Exception`

    - #### addBindings

          public void addBindings(PersistedType type,
                                  String name,
                                  String... address)
                           throws Exception

      Specified by:
        `addBindings` in interface `JMSStorageManager`
      Throws:
        `Exception`

    - #### deleteBindings

          public void deleteBindings(PersistedType type,
                                     String name,
                                     String address)
                              throws Exception

      Specified by:
        `deleteBindings` in interface `JMSStorageManager`
      Throws:
        `Exception`

    - #### deleteBindings

          public void deleteBindings(PersistedType type,
                                     String name)
                              throws Exception

      Specified by:
        `deleteBindings` in interface `JMSStorageManager`
      Throws:
        `Exception`

    - #### deleteDestination

          public void deleteDestination(PersistedType type,
                                        String name)
                                 throws Exception

      Specified by:
        `deleteDestination` in interface `JMSStorageManager`
      Throws:
        `Exception`

    - #### isStarted

          public boolean isStarted()

      Specified by:
        `isStarted` in interface `org.apache.activemq.artemis.core.server.ActiveMQComponent`

    - #### start

          public void start()
                     throws Exception

      Specified by:
        `start` in interface `org.apache.activemq.artemis.core.server.ActiveMQComponent`
      Throws:
        `Exception`

    - #### stop

          public void stop()
                    throws Exception

      Specified by:
        `stop` in interface `org.apache.activemq.artemis.core.server.ActiveMQComponent`
      Throws:
        `Exception`

    - #### load

          public void load()
                    throws Exception

      Specified by:
        `load` in interface `JMSStorageManager`
      Throws:
        `Exception`

Copyright © 2015. All rights reserved.